using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class HideSomeone : MonoBehaviour
{
    public GameObject whoToHide;
    public GameObject replaceWithThis;
    public GameObject spawnItemToo;

    public void KillEm()
    {
        whoToHide.SetActive(false);
        if (replaceWithThis)
        {
            replaceWithThis.SetActive(true);
        }
        Instantiate(spawnItemToo, whoToHide.transform.position, Quaternion.identity);
    }
}
